Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class NotifyStepFacade

    java.lang.Object
      com.pmease.quickbuild.step.NotifyStepFacade

All Implemented Interfaces:
  java.io.Serializable

public class NotifyStepFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for NotifyStep. This step notifies proper person of current build result.

See Also:
  Serialized Form

Constructor Summary
`NotifyStepFacade()`

Method Summary
`java.lang.String` | `getName()` Provide a name for this step.
`java.lang.String` | `getNotifierName()` OGNL: Select name of the notifier to use.
`java.util.List` | `getReceivers()` Select users or groups who will receive this notification.
`java.lang.String` | `getStepNecessaryCondition()` OGNL: Determines if this step is necessary during the build process.
`void` | `setName(java.lang.String name)`
`void` | `setNotifierName(java.lang.String notifierName)`
`void` | `setReceivers(java.util.List receivers)`
`void` | `setStepNecessaryCondition(java.lang.String stepNecessaryCondition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyStepFacade

    public NotifyStepFacade()

Method Detail

### getNotifierName

    public java.lang.String getNotifierName()

  OGNL: Select name of the notifier to use.

### setNotifierName

    public void setNotifierName(java.lang.String notifierName)

### getReceivers

    public java.util.List getReceivers()

  Select users or groups who will receive this notification.

### setReceivers

    public void setReceivers(java.util.List receivers)

### getStepNecessaryCondition

    public java.lang.String getStepNecessaryCondition()

  OGNL: Determines if this step is necessary during the build process. It is an OGNL expression with current configuration as its root object.

### setStepNecessaryCondition

    public void setStepNecessaryCondition(java.lang.String stepNecessaryCondition)

### getName

    public java.lang.String getName()

  Provide a name for this step.

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.